Name:       rtmidi
Version:    1.0.15
Release:    4.1%{?dist}
Summary:    Library for realtime MIDI input/output (ALSA support)
# Request to send in changes is considered optional.
License:    MIT
URL:        http://www.music.mcgill.ca/~gary/rtmidi/index.html
Source0:    http://www.music.mcgill.ca/~gary/rtmidi/release/%{name}-%{version}.tar.gz
# Build shared object, sent upstream via email 20111008
Patch0:     rtmidi-1.0.15-shared-linux-only.patch
BuildRequires:  alsa-lib-devel, jack-audio-connection-kit-devel
BuildRequires:  autoconf, /usr/bin/dos2unix

%description
RtMidi is a set of C++ classes (RtMidiIn and RtMidiOut) that provides a common 
API (Application Programming Interface) for realtime MIDI input/output across 
Linux (ALSA & Jack), Macintosh OS X, Windows (Multimedia Library), and SGI 
operating systems. RtMidi significantly simplifies the process of interacting 
with computer MIDI hardware and software. It was designed with the following 
goals:
* object oriented C++ design
* simple, common API across all supported platforms
* only two header files and one source file for easy inclusion in programming 
  projects
* MIDI device enumeration

This package contains the RtMidi library compiled for ALSA support.

%package devel
Summary:    Development headers and libraries for rtmidi
Requires:   %{name}%{?_isa} = %{version}-%{release}
Requires:   %{name}-jack%{?_isa} = %{version}-%{release}
Requires:   alsa-lib-devel, jack-audio-connection-kit-devel

%description devel
Development headers and libraries for rtmidi.

%package jack
Summary:    Library for realtime MIDI input/output (JACK support)

%description jack
RtMidi is a set of C++ classes (RtMidiIn and RtMidiOut) that provides a common
API (Application Programming Interface) for realtime MIDI input/output across
Linux (ALSA & Jack), Macintosh OS X, Windows (Multimedia Library), and SGI 
operating systems. RtMidi significantly simplifies the process of interacting 
with computer MIDI hardware and software. It was designed with the following 
goals:
* object oriented C++ design
* simple, common API across all supported platforms
* only two header files and one source file for easy inclusion in programming 
  projects
* MIDI device enumeration

This package contains the RtMidi library compiled for Jack support.

%prep
%setup -q
%patch0 -p1 -b .shared
cp -f /usr/lib/rpm/config.{guess,sub} config/
autoconf -f
# fix end of line
dos2unix doc/release.txt doc/doxygen/tutorial.txt

%build
# First pass, jack.
%configure --docdir=%{_docdir}/%{name}-devel-%{version} --with-jack
make
mv Makefile Makefile-jack

# Second pass, alsa
%configure --docdir=%{_docdir}/%{name}-devel-%{version}
make

%install
# First pass, jack.
make -f Makefile-jack install DESTDIR=%{buildroot}

# Second pass, alsa
make install DESTDIR=%{buildroot}

# Include the readme in non-devel packages
rm -f %{buildroot}%{_docdir}/%{name}-devel-%{version}/readme

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post jack -p /sbin/ldconfig
%postun jack -p /sbin/ldconfig

%files
%doc readme
%{_libdir}/lib%{name}.so.*

%files devel
%{_docdir}/%{name}-devel-%{version}/
%{_includedir}/RtMidi.h
%{_includedir}/RtError.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-jack.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-jack.pc

%files jack
%doc readme
%{_libdir}/lib%{name}-jack.so.*

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Karsten Hopp <karsten@redhat.com> 1.0.15-2.1
- use config.sub, config.guess from rpm, i.e. ppc64 was missing in the included files

* Sun Oct  9 2011 Robin Lee <cheeselee@fedoraproject.org> - 1.0.15-2
- Include an enhanced patch
- Don't include the test apps
- Include the documents in the devel package
- Untabified

* Thu Sep 1 2011 Tom Callaway <spot@fedoraproject.org> - 1.0.15-1
- initial package
